- Qt 6.11
- Qt GUI
- C++ Classes
- Axes
- Qt 6.11.2 Reference Documentation

# QQuaternion::Axes Struct

struct QQuaternion::Axes

This struct was introduced in Qt 6.11.

- List of all members, including inherited members
- Axes is part of Rendering in 3D.

## Public Variables

QQuaternion::Axis | x
QQuaternion::Axis | y
QQuaternion::Axis | z

## Detailed Description

A struct containing the three orthonormal axes that define a quaternion.

See also QQuaternion::toAxes() and QQuaternion::fromAxes(QQuaternion::Axes).

## Member Variable Documentation

### QQuaternion::Axis Axes::x

The x orthonormal axis that, together with y and z, defines a quaternion.

### QQuaternion::Axis Axes::y

The y orthonormal axis that, together with x and z, defines a quaternion.

### QQuaternion::Axis Axes::z

The z orthonormal axis that, together with x and y, defines a quaternion.